Bug Hunting Session
Bug 124572 - tabs in calc (for sheets) and draw (for layer) style
Summary: tabs in calc (for sheets) and draw (for layer) style
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.3.0
Keywords:
: 122734 125378 127225 (view as bug list)
Depends on: 125403
Blocks: Sheet-Tabs-Bar
  Show dependency treegraph
 
Reported: 2019-04-05 23:00 UTC by andreas_k
Modified: 2019-08-29 21:03 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
tabs layout proposal (286.15 KB, image/png)
2019-04-05 23:00 UTC, andreas_k
Details
Current look in Excel (11.42 KB, image/png)
2019-04-06 09:20 UTC, Pedro
Details
Hovering the mouse over inactive tabs text of hovered inactive tabs becomes Bold (5.92 KB, image/png)
2019-04-06 09:23 UTC, Pedro
Details
Proposal 2 (35.27 KB, image/png)
2019-04-06 09:45 UTC, Pedro
Details
Hovering over inactive sheet names should change their letter to black/bold. (35.32 KB, image/png)
2019-04-06 09:46 UTC, Pedro
Details
calc (51.96 KB, image/png)
2019-04-26 19:40 UTC, andreas_k
Details
draw (59.11 KB, image/png)
2019-04-26 19:42 UTC, andreas_k
Details
Sheet tabs in 6.3.0.0.alpha1+ 2019-05-19 (34.41 KB, image/jpeg)
2019-05-24 07:28 UTC, Thomas Lendo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2019-04-05 23:00:43 UTC
Created attachment 150553 [details]
tabs layout proposal

calc tab layout for sheets look outdated
draw tab layout for layer look outdated

attached is an idea how to modernize.
Comment 1 Tomaz Vajngerl 2019-04-06 03:12:35 UTC
That's easy to change.
Comment 2 andreas_k 2019-04-06 07:16:22 UTC
Really? I will make the icons if needed.
Comment 3 Pedro 2019-04-06 09:20:07 UTC
Created attachment 150558 [details]
Current look in Excel

Here's current sheet tab in Excel. To notice:
1 - Active tab is white (same color as spreadsheet cells),
2 - Text color of active tab is dark green (Excel color) and letters are in bold,
3 - Inactive sheets still have a line separating them,
4 - Text color of inactive tabs is black (or very dark gray), and text is not bold.
Comment 4 Pedro 2019-04-06 09:23:11 UTC
Created attachment 150559 [details]
Hovering the mouse over inactive tabs text of hovered inactive tabs becomes Bold

Another important detail in Excel that is lacking in Calc:
When you over the mouse over the inactive tabs the letters of the tab over which the mouse is hovering change to bold.
Comment 5 Pedro 2019-04-06 09:45:45 UTC
Created attachment 150561 [details]
Proposal 2

Proposal 2:
1 - Keep a small separator between inactive sheets;
2 - Text of inactive sheets should be same color as inactive buttons next to them;
3 - Background of active sheet is white. Text is black and bold. Full vertical borders separating active sheet from inactive sheets.
Comment 6 Pedro 2019-04-06 09:46:35 UTC
Created attachment 150562 [details]
Hovering over inactive sheet names should change their letter to black/bold.
Comment 7 andreas_k 2019-04-06 11:16:52 UTC
I like the idea to use separators, cause in statusbar there are also separators. And we can use the same style.
Comment 8 Tomaz Vajngerl 2019-04-06 11:48:46 UTC
Don't forget that you can assign your own color to a tab (in Calc). Suggestion how to incorporate that into the new design?
Comment 9 andreas_k 2019-04-06 15:22:35 UTC
Between the separator should be the user defined color and maybe an horizontal line with the user defined color.
Comment 10 Thomas Lendo 2019-04-07 18:34:43 UTC
+1 for every modernization of the look from me
As long as a11y, OS-integration and tab colors are kept in mind.
Comment 11 andreas_k 2019-04-08 20:44:59 UTC
LibreOffice Online use the icons from the icon theme and also don't use bold for the active tab.

https://www.libreoffice.org/assets/Uploads/LibreOffice-Online-Calc.png

this is how it should look like.
Comment 12 andreas_k 2019-04-08 20:45:21 UTC
*** Bug 122734 has been marked as a duplicate of this bug. ***
Comment 13 Eike Rathke 2019-04-08 21:15:37 UTC
(In reply to andreas_k from comment #11)
> https://www.libreoffice.org/assets/Uploads/LibreOffice-Online-Calc.png
> this is how it should look like.
Looks confusing to me because from a first glance it looks like "Business planning" would be the active sheet because that tab contrasts most with its surroundings. Only a second look reveals that "Intro" is active.
Comment 14 Heiko Tietze 2019-04-10 09:25:50 UTC
Please also consider multi tab selection (bug 97555 comment 8).
Comment 15 Pedro 2019-04-23 09:56:51 UTC
(In reply to Eike Rathke from comment #13)
> (In reply to andreas_k from comment #11)
> > https://www.libreoffice.org/assets/Uploads/LibreOffice-Online-Calc.png
> > this is how it should look like.
> Looks confusing to me because from a first glance it looks like "Business
> planning" would be the active sheet because that tab contrasts most with its
> surroundings. Only a second look reveals that "Intro" is active.

Agreed.
Comment 16 Cor Nouws 2019-04-24 13:10:17 UTC
The current situation is not ideal. However I see no proposal that doesn't introduce a (different) problem. In this situation, I would touch it.
Comment 17 Commit Notification 2019-04-25 06:40:40 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fad98c8641342a77241124dd98e0cb781daef4ad%5E%21

tdf#124572 TabBar new look, protected icon, width and height

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 18 Heiko Tietze 2019-04-25 13:14:52 UTC
We talked about the proposal in the design meeting.

Right now we have a (bright) theme color that merges with the sheet when the tab is active (plus the font becomes bold). In other words resp. additionally we draw a border around the non-active tabs (not sure it's the same after Tomaz latest patch). Selected tabs change their color to the active but keep the border and are by that easy to identify. Colored tabs receive a small border and change completely when not active. Happens also in case of multiselection.

This behavior is easy to understand and works well. So the take is => WFM
Comment 19 andreas_k 2019-04-26 19:20:42 UTC
huge thumb up to quikee very good work now the tabs didn't look out of place any more. many thanks
Comment 20 andreas_k 2019-04-26 19:40:15 UTC
Created attachment 151027 [details]
calc
Comment 21 andreas_k 2019-04-26 19:42:33 UTC
Created attachment 151028 [details]
draw

in draw there are some usefull items missing that are available in calc (context menu).

As in draw the tabs are layers I would suggest to show the visible icon (visible, non visible)than it's easier to understand that each tab is an layer.
Comment 22 Kevin Suo 2019-05-14 04:43:22 UTC
The current tab view in Calc looks good, but one problem I see is that the width (left/right margin) is too big, which causes a waste of spaces. Assume that there a 100+ sheets in the file...
Comment 23 Mike Kaganski 2019-05-14 08:08:03 UTC
(In reply to Kevin Suo from comment #22)
> Assume that there a 100+ sheets in the file...

I suppose that in case of 100+ sheets, it doesn't actually matter. When it does is when there's ~10 sheets, and there's a margin between seeing them all or not. :-)
Comment 24 Emir Sarı (away) 2019-05-18 19:45:32 UTC
(In reply to Mike Kaganski from comment #23)
> (In reply to Kevin Suo from comment #22)
> > Assume that there a 100+ sheets in the file...
> 
> I suppose that in case of 100+ sheets, it doesn't actually matter. When it
> does is when there's ~10 sheets, and there's a margin between seeing them
> all or not. :-)

If the number of sheets hit the other edge of the screen, tabs should start auto-shrinking to an optimal width to save space. With three sheets it does not really matter, but some of us work with a large number of sheets.
Comment 25 Rich 2019-05-20 15:39:10 UTC
I created a bug yesterday #125378 Formatting - 6.3.0.0 Alpha1 has enlarged sheet tab with lots of wasted space

I do not like the change. My bug shows two screenshots. The old I can see all 20 tabs. The new only shows 15 and requires scrolling. I am not against more modern look only if it doesn't hurt productivity. I'm all for leaving it the way it was.
Rich
Comment 26 Xisco Faulí 2019-05-21 12:32:21 UTC
*** Bug 125403 has been marked as a duplicate of this bug. ***
Comment 27 Tomaz Vajngerl 2019-05-22 03:36:17 UTC
Hi, this is not the final version yet, so the size of the tabs will be minimized, when the protected icon is taken into account at calculation of tab size.
Comment 28 Heiko Tietze 2019-05-22 14:36:54 UTC
Tomaz, can you assign the issue to yourself?
Comment 29 Heiko Tietze 2019-05-22 14:48:59 UTC
*** Bug 125378 has been marked as a duplicate of this bug. ***
Comment 30 Thomas Lendo 2019-05-24 07:28:15 UTC
Created attachment 151654 [details]
Sheet tabs in 6.3.0.0.alpha1+ 2019-05-19

I see 2 parts of the new look with room for improvements:

- Visible separation of tabs (now there's only the tab text that shows a tab [if a tab has no own color] but the user doesn't know the range on the left and right of the text where he can click on the tab and where begins the other tabs on both sides).

- Visibility of active tabs (I like the look in a competitor's program [attachment 150558 [details]] where the active tab is "open" to the sheet at the top of the tab [like a real paper tab] -- all other not active tabs are separated from the active sheet content by a line -- with that it's visible at a glance which tab is active and which is not).
Comment 31 Commit Notification 2019-05-31 07:26:23 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/35870d411de99f278507785c4386dd02f9537073%5E%21

tdf#124572 Reduce tab bar item width

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 andreas_k 2019-07-23 09:40:30 UTC
thanks for your work Tomaz
Comment 33 BogdanB 2019-08-05 11:00:57 UTC
Looks beautifull now.

Verified in
Version: 6.4.0.0.alpha0+
Build ID: 9ee5ad5a0b84bfa652da34694ba4f75668f06087
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-07-30_13:21:44
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 34 m.a.riosv 2019-08-29 21:03:56 UTC
*** Bug 127225 has been marked as a duplicate of this bug. ***